Package org.eclipse.cdt.core.settings.model

## Interface ICProjectDescriptionPreferences

All Known Subinterfaces:
  `ICProjectDescription`, `ICProjectDescriptionWorkspacePreferences`

    public interface ICProjectDescriptionPreferences

### Field Summary

Fields
`static int` `CONFIGS_INDEPENDENT` Configuration relation status specifying that the Settings and Build configurations are independent of each other, i.e.
`static int` `CONFIGS_LINK_SETTINGS_AND_ACTIVE` Configuration relation status specifying that the Settings and Build configurations are settings are linked with each other, i.e.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getConfigurationRelations()` returns the CONFIG_xxx status for this project description
`boolean` `isDefaultConfigurationRelations()` specifies whether default configuration relations are used
`void` `setConfigurationRelations​(int status)` sets the configuration relation status.
`void` `useDefaultConfigurationRelations()` specifies that the default configuration relations should be used When called for the project description, specifies that the workspace preferences settings should be used When called for the workspace preferences sets the default relation value which is CONFIGS_INDEPENDENT

### Field Detail

#### CONFIGS_INDEPENDENT

    static final int CONFIGS_INDEPENDENT

Configuration relation status specifying that the Settings and Build configurations are independent of each other, i.e. changing the active configuration will NOT change the settings configuration used by the core and vie a versa

See Also:
  `getConfigurationRelations()`, `setConfigurationRelations(int)`, Constant Field Values

#### CONFIGS_LINK_SETTINGS_AND_ACTIVE

    static final int CONFIGS_LINK_SETTINGS_AND_ACTIVE

Configuration relation status specifying that the Settings and Build configurations are settings are linked with each other, i.e. changing the active configuration will change the settings configuration used by the core and vie a versa

See Also:
  `getConfigurationRelations()`, `setConfigurationRelations(int)`, Constant Field Values

### Method Detail

#### getConfigurationRelations

    int getConfigurationRelations()

returns the CONFIG_xxx status for this project description

Returns:
  int
See Also:
  `CONFIGS_INDEPENDENT`, `CONFIGS_LINK_SETTINGS_AND_ACTIVE`

#### setConfigurationRelations

    void setConfigurationRelations​(int status)

sets the configuration relation status. can be an integer value containing the CONFIG_xxx status

Parameters:
  `status` -
See Also:
  `CONFIGS_INDEPENDENT`, `CONFIGS_LINK_SETTINGS_AND_ACTIVE`

#### useDefaultConfigurationRelations

    void useDefaultConfigurationRelations()

specifies that the default configuration relations should be used When called for the project description, specifies that the workspace preferences settings should be used When called for the workspace preferences sets the default relation value which is CONFIGS_INDEPENDENT

#### isDefaultConfigurationRelations

    boolean isDefaultConfigurationRelations()

specifies whether default configuration relations are used